<?php
class UpdatedEvCustomFieldsCharsetToUtf8mb4 extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'Updated_EvCustomFields_charset_to_utf8mb4';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'alter_field' => array(
				'ev_custom_fields_field_data' => array(
					'tableParameters' => array('charset' => 'utf8mb4', 'collate' => 'utf8mb4_unicode_ci'),
				),
				'ev_custom_fields_fields' => array(
					'tableParameters' => array('charset' => 'utf8mb4', 'collate' => 'utf8mb4_unicode_ci'),
				),
			),
		),
		'down' => array(
			'alter_field' => array(
				'ev_custom_fields_field_data' => array(
					'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB'),
				),
				'ev_custom_fields_fields' => array(
					'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB'),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
