<?php

App::uses('AppHelper', 'View/Helper');

class CustomFieldsDataHelper extends AppHelper
{

    /**
     * inject the tab into the form
     *
     */
    public function injectAdminForm()
    {
        echo $this->element(
            'form_tab',
            array(
                'title' => 'Custom Data',
                'tabContent' => $this->element('EvCustomFields.data/entry'),
                'divOptions' => array(
                    'class' => 'custom-field-data'
                )
            )
        );

        if (! empty($this->_View->viewVars['cfValidationErrors'])) {

            echo $this->Html->scriptBlock("
                $(document).ready(function() {
                    $('body').data('cf-validation', '" . $this->_View->viewVars['cfValidationErrors'] . "');
                });
            ",array('inline' => false));
        }
    }
}
